{
  lib,
  dotnetCorePackages,
  buildDotnetModule,
  pkgs,
  fetchFromGitHub,
  ...
}:
buildDotnetModule rec {
  pname = "shoko-${version}";
  version = "5.1.0";

  src = fetchFromGitHub {
    owner = "ShokoAnime";
    repo = "ShokoServer";
    rev = "v5.1.0";
    hash = "";
  };

  projectFile = "Shoko.CLI/Shoko.CLI.csproj";
  executables = ["shoko"];
  # nugetDeps = ./nuget-deps.json;
  runtimeDeps = with pkgs; [
    mediainfo
    rhash
  ];
  dotnet-sdk = dotnetCorePackages.sdk_8_0;
  dotnet-runtime = dotnetCorePackages.aspnetcore_8_0;
  dotnetBuildFlags = ["--no-self-contained"];

  # makeWrapperArgs = [];

  meta = with lib; {
    description = "Shoko server for self hosted anime browsing";
    homepage = "https://shokoanime.com/";
    license = licenses.mit;
    maintainers = with maintainers; [
      # TODO: Add myself to maintainers
      me
    ];
    mainProgram = "shoko";
    platforms = dotnet-runtime.meta.platforms;
  };
}
